<?php
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     0.2.9
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace App\Controller;

use Cake\Controller\Controller;
use Cake\Event\Event;
use Cake\Http\Cookie\Cookie;
use Cake\Http\Cookie\CookieCollection;
use Cake\I18n\Time;
use Cake\Controller\Component\CookieComponent;

/**
 * Application Controller
 *
 * Add your application-wide methods in the class below, your controllers
 * will inherit them.
 *
 * @link https://book.cakephp.org/3.0/en/controllers.html#the-app-controller
 */
class AppController extends Controller
{

    /**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading components.
     *
     * e.g. `$this->loadComponent('Security');`
     *
     * @return void
     */
    public function initialize()
    {
        parent::initialize();

        $this->loadComponent('RequestHandler');
        $this->loadComponent('Flash');
        $this->loadComponent('Cookie');

        $this->Cookie->config('encryption', false);
        $this->Cookie->config('path', '/');
        $this->Cookie->config([
            'expires' => '+100 days',
            'httpOnly' => true
        ]);

        $session = $this->request->session();

        if(!($session->check('SchoolType'))) {
            $session->write('SchoolType','02');
        }
        /** 
        debug($this->Cookie->check('schooltype'));

        if(!$this->Cookie->check('schooltype')) {
            
            debug('Cookie neu');
            $this->Cookie->write('schooltype', '2');
        }
        debug($this->Cookie->read('schooltype'));
        */
        /** if(!($this->request->getCookie('schooltype'))) {
            debug('Hallo');
            $cookie = (new Cookie('schooltype'))
                ->withValue('2')
                ->withExpiry(new \DateTime('+1 year'))
                ->withSecure(false)
                ->withHttpOnly(true);    
                $this->response = $this->response->withCookie($cookie);
                debug($this->response->getCookie('schooltype'));
                $cookies = new CookieCollection([$cookie]);
                $cookies = $cookies->add($cookie);  
                debug(count($cookies));  
                //die; 
        } */

        /*
         * Enable the following components for recommended CakePHP security settings.
         * see https://book.cakephp.org/3.0/en/controllers/components/security.html
         */
        //$this->loadComponent('Security');
        //$this->loadComponent('Csrf');
    }
}
